YIIK: A Postmodern RPG System Requirements

Are you going to paly the YIIK- A Postmodern RPG, and looking for YIIK- A Postmodern RPG System Requirements. Finally, Here you can read both minimum and recommended which is provided by Can i Run it.

YIIK- A Postmodern RPG-Icon
TITLE: YIIK: A Postmodern RPG
GENREIndie, RPG
DEVELOPERAckk Studios
PUBLISHERYsbryd Games
RELEASE DATE: 17 Jan, 2019

YIIK- A Postmodern RPG System Requirements:

Windows
Mac OS X
SteamOS + Linux
    Minimum:
    • OS: Windows 7
    • Processor: 2.4GHz Intel Core i3
    • Memory: 2 GB RAM
    • Graphics: Intel HD Graphics 4400
    • DirectX: Version 11
    • Storage: 4 GB available space
    Minimum:
    • OS: OS X Yosemite
    • Processor: 2.4 Ghz
    • Memory: 2 GB RAM
    • Graphics: ATI Radeon HD 5870 1024 MB
YIIK- A Postmodern RPG Yet, not available for SteamOS + Linux. Please check back again. We will update when it is available.

YIIK- A Postmodern RPG is available in the following languages:

Interface Full Audio Subtitles
English
Japanese

You can also check Ion Fury System Requirements

YIIK- A Postmodern RPG System Requirements recommendation By Can i Run it

If you want to run YIIK- A Postmodern RPG on PC/Laptop, then you must have a machine with following specification. You will need a machine at last have Windows 7 with 2 GB RAM, 2.4GHz Intel Core i3, You will need Intel HD Graphics 4400, and HDD 4 GB available space.

You may also like...

Leave a Reply

Your email address will not be published.